libzypp 17.37.10

base.h File Reference
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp-core/zyppng/base/signals.h>`
`#include <memory>`
`#include <unordered_set>`
`#include <vector>`
`#include <thread>`

Go to the source code of this file.

## Classes
struct | zyppng::internal::MemberFunction< Ret(BType::*)(Args...)>
class | zyppng::Base

## Namespaces
namespace | zyppng
namespace | zyppng::internal

## Functions
template<typename Obj, typename Functor, std::enable_if_t< std::is_base_of_v< Base, Obj >||std::is_base_of_v< BasePrivate, Obj >, bool > = true>
decltype(auto) | zyppng::base_slot (Obj *o, Functor &&f)
template<typename Obj, typename Functor, std::enable_if_t< std::is_base_of_v< Base, Obj >||std::is_base_of_v< BasePrivate, Obj >, bool > = true>
decltype(auto) | zyppng::base_slot (Obj &o, Functor &&f)

## Variables
template<typename T>
constexpr bool | zyppng::internal::is_base_receiver = std::is_base_of_v<Base, T> || std::is_base_of_v<BasePrivate, T>